components:
  schemas:
    Task_v1_1_2_Actions:
      additionalProperties: false
      description: The available actions for this resource.
      properties:
        Oem:
          $ref: '#/components/schemas/Task_v1_1_2_OemActions'
          description: This property contains the available OEM specific actions for
            this resource.
          x-longDescription: This property shall contain any additional OEM actions
            for this resource.
      type: object
      x-longDescription: This type shall contain the available actions for this resource.
      x-patternProperties:
        ^([a-zA-Z_][a-zA-Z0-9_]*)?@(odata|Redfish|Message)\.[a-zA-Z_][a-zA-Z0-9_.]+$:
          description: This property shall specify a valid odata or Redfish property.
    Task_v1_1_2_OemActions:
      additionalProperties: true
      description: The available OEM specific actions for this resource.
      properties: {}
      type: object
      x-longDescription: This type shall contain any additional OEM actions for this
        resource.
      x-patternProperties:
        ^([a-zA-Z_][a-zA-Z0-9_]*)?@(odata|Redfish|Message)\.[a-zA-Z_][a-zA-Z0-9_.]+$:
          description: This property shall specify a valid odata or Redfish property.
    Task_v1_1_2_Task:
      additionalProperties: false
      description: This resource contains information about a specific Task scheduled
        by or being executed by a Redfish service's Task Service.
      properties:
        '@odata.context':
          $ref: http://redfish.dmtf.org/schemas/v1/odata.v4_0_3.yaml#/components/schemas/odata_v4_0_3_context
        '@odata.etag':
          $ref: http://redfish.dmtf.org/schemas/v1/odata.v4_0_3.yaml#/components/schemas/odata_v4_0_3_etag
        '@odata.id':
          $ref: http://redfish.dmtf.org/schemas/v1/odata.v4_0_3.yaml#/components/schemas/odata_v4_0_3_id
        '@odata.type':
          $ref: http://redfish.dmtf.org/schemas/v1/odata.v4_0_3.yaml#/components/schemas/odata_v4_0_3_type
        Actions:
          $ref: '#/components/schemas/Task_v1_1_2_Actions'
          description: The available actions for this resource.
          x-longDescription: The Actions property shall contain the available actions
            for this resource.
        Description:
          $ref: http://redfish.dmtf.org/schemas/v1/Resource.yaml#/components/schemas/Resource_Description
          nullable: true
          readOnly: true
        EndTime:
          description: The date-time stamp that the task was last completed.
          format: date-time
          readOnly: true
          type: string
          x-longDescription: The value of this property shall indicate the time the
            task was completed.
        Id:
          $ref: http://redfish.dmtf.org/schemas/v1/Resource.yaml#/components/schemas/Resource_Id
          readOnly: true
        Messages:
          description: This is an array of messages associated with the task.
          items:
            $ref: http://redfish.dmtf.org/schemas/v1/Message.yaml#/components/schemas/Message_Message
          type: array
          x-longDescription: The value of this property shall be an array of messages
            associated with the task.
        Name:
          $ref: http://redfish.dmtf.org/schemas/v1/Resource.yaml#/components/schemas/Resource_Name
          readOnly: true
        Oem:
          $ref: http://redfish.dmtf.org/schemas/v1/Resource.yaml#/components/schemas/Resource_Oem
          description: This is the manufacturer/provider specific extension moniker
            used to divide the Oem object into sections.
          x-longDescription: The value of this string shall be of the format for the
            reserved word *Oem*.
        StartTime:
          description: The date-time stamp that the task was last started.
          format: date-time
          readOnly: true
          type: string
          x-longDescription: The value of this property shall indicate the time the
            task was started.
        TaskState:
          $ref: '#/components/schemas/Task_v1_1_2_TaskState'
          description: The state of the task.
          readOnly: true
          x-longDescription: The value of this property shall indicate the state of
            the task.  New shall be used to indicate that the task is a new task which
            has just been instantiated and is in the initial state and indicates it
            has never been started.  Starting shall be used to indicate that the task
            is moving from the New, Suspended, or Service states into the Running
            state.  Running shall be used to indicate that the Task is running.  Suspended
            shall be used to indicate  that the Task is stopped (e.g., by a user),
            but can be restarted in a seamless manner.  Interrupted shall be used
            to indicate  that the Task was interrupted (e.g., by a server crash) in
            the middle of processing, and the user should either re-run/restart the
            Task.  Pending shall be used to indicate  that the Task has been queued
            and will be scheduled for processing as soon as resources are available
            to handle the request.  Stopping shall be used to indicate that the Task
            is in the process of moving to a Completed, Killed, or Exception state.  Completed
            shall be used to indicate that the task has completed normally.  Killed
            shall be used to indicate  that the task has been stopped by a Kill state
            change request (non-graceful shutdown).  Exception shall be used to indicate  that
            the Task is in an abnormal state that might be indicative of an error
            condition.  Service shall be used to indicate that the Task is in a state
            that supports problem discovery, or resolution, or both.  This state is
            used when a corrective action is possible.
        TaskStatus:
          $ref: http://redfish.dmtf.org/schemas/v1/Resource.yaml#/components/schemas/Resource_Health
          description: This is the completion status of the task.
          readOnly: true
          x-longDescription: The value of this property shall be the completion status
            of the task, as defined in the Status section of the Redfish specification
            and shall not be set until the task has completed.
      required:
      - '@odata.id'
      - '@odata.type'
      - Id
      - Name
      type: object
      x-longDescription: This resource shall be used to represent a task for a Redfish
        implementation.
      x-patternProperties:
        ^([a-zA-Z_][a-zA-Z0-9_]*)?@(odata|Redfish|Message)\.[a-zA-Z_][a-zA-Z0-9_.]+$:
          description: This property shall specify a valid odata or Redfish property.
    Task_v1_1_2_TaskState:
      enum:
      - New
      - Starting
      - Running
      - Suspended
      - Interrupted
      - Pending
      - Stopping
      - Completed
      - Killed
      - Exception
      - Service
      - Cancelling
      - Cancelled
      type: string
      x-enumDeprecated:
        Killed: This value has been deprecated and is being replaced by the value
          Cancelled which has more determinate semantics.
      x-enumDescriptions:
        Cancelled: Task has been cancelled by an operator or internal process.
        Cancelling: Task is in the process of being cancelled.
        Completed: Task has completed.
        Exception: Task has stopped due to an exception condition.
        Interrupted: Task has been interrupted.
        Killed: Task was terminated.
        New: A new task.
        Pending: Task is pending and has not started.
        Running: Task is running normally.
        Service: Task is running as a service.
        Starting: Task is starting.
        Stopping: Task is in the process of stopping.
        Suspended: Task has been suspended.
      x-enumLongDescriptions:
        Cancelled: This value shall represent that the operation was cancelled either
          through a Delete on a Task Monitor or Task Resource or by an internal process.
        Cancelling: This value shall represent that the operation is in the process
          of being cancelled.
        Completed: This value shall represent that the operation is complete and completed
          sucessfully or with warnings.
        Exception: This value shall represent that the operation is complete and completed
          with errors.
        Interrupted: This value shall represent that the operation has been interrupted
          but is expected to restart and is therefore not complete.
        Killed: This value shall represent that the operation is complete because
          the task was killed by an operator.
        New: This value shall represent that this task is newly created but the operation
          has not yet started.
        Pending: This value shall represent that the operation is pending some condition
          and has not yet begun to execute.
        Running: This value shall represent that the operation is executing.
        Service: This value shall represent that the operation is now running as a
          service and expected to continue operation until stopped or killed.
        Starting: This value shall represent that the operation is starting.
        Stopping: This value shall represent that the operation is stopping but is
          not yet complete.
        Suspended: This value shall represent that the operation has been suspended
          but is expected to restart and is therefore not complete.
title: '#Task.v1_1_2.Task'
x-copyright: Copyright 2014-2018 DMTF. For the full DMTF copyright policy, see http://www.dmtf.org/about/policies/copyright
x-owningEntity: DMTF
